(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("vue"));
	else if(typeof define === 'function' && define.amd)
		define("Vue2Input", ["vue"], factory);
	else if(typeof exports === 'object')
		exports["Vue2Input"] = factory(require("vue"));
	else
		root["Vue2Input"] = factory(root["Vue"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_14__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 5);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// CONCATENATED MODULE: ./node_modules/vue-style-loader/lib/listToStyles.js
/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}

// CONCATENATED MODULE: ./node_modules/vue-style-loader/lib/addStylesClient.js
/* harmony export (immutable) */ __webpack_exports__["default"] = addStylesClient;
/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/



var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

function addStylesClient (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    inject: ['$validator'],
    props: {
        type: { type: String, default: 'text', required: false },
        label: { type: String, default: null, required: false },
        name: { type: String, default: '', required: false },
        placeholder: { type: String, default: null, required: false },
        required: { type: Boolean, default: false, required: false },
        multiple: { type: Boolean, default: false, required: false },
        horizontal: { type: String, default: null, required: false },
        help: { type: String, default: '', required: false },
        min: { default: null, required: false },
        max: { default: null, required: false },
        scope: { type: String, default: '', required: false },
        rows: { default: 3, required: false },
        options: { type: Array, default: function _default() {
                return [{ label: 'Enabled', value: true }, { label: 'Disabled', value: false }];
            }, required: false },
        value: { required: false },
        inline: { type: Boolean, default: true, required: false },
        fixed: { type: Array, default: function _default() {
                return [];
            }, required: false },
        readonly: { type: Boolean, default: false, required: false },
        labelClass: { type: String, default: '', required: false },
        inputClass: { type: String, default: '', required: false },
        controlClass: { type: String, default: '', required: false },
        size: { type: String, default: '', required: false },
        yesNo: { default: null, required: false },
        noYes: { default: null, required: false },
        default: { required: false },
        disabled: { type: Boolean, default: false, required: false },
        prepend: { type: String, required: false },
        icon: { type: String, required: false },
        append: { type: String, required: false },
        showPassword: { type: Boolean, default: true, required: false },
        strictPassword: { type: Boolean, default: false, required: false },
        rules: { default: null, required: false },
        btnClass: { default: 'btn btn-light btn-sm' },
        customType: { default: 'textarea' },
        customProps: { default: null }
    },
    mounted: function mounted() {
        if (typeof this.value === 'undefined' && typeof this.default !== 'undefined') {
            this.$emit('input', this.default);
        }
    },

    methods: {
        validate: function validate() {
            return this.$validator.validate((this.scope ? this.scope + '.' : '') + this.fieldName);
        },
        slugify: function slugify(str) {
            return String(str || '').replace(/[^A-Za-z0-9]/g, '-').replace(/-+/g, '-').replace(/^-/, '').replace(/-$/, '').toLowerCase();
        },
        password: function password() {
            var len = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 16;
            //generates random password
            return Math.random().toString(36).slice(-len);
        },
        ucfirst: function ucfirst(string) {
            //capitalizes all words
            return String(string).charAt(0).toUpperCase() + String(string).slice(1);
        },
        selected: function selected(option) {
            return this.multiple ? this.item.indexOf(option.value) !== -1 : this.item === option.value;
        },
        toggle: function toggle(option) {
            var selected = this.selected(option);

            if (this.multiple) {
                if (!selected) {
                    this.item.push(option.value);
                } else {
                    this.item.splice(this.item.indexOf(option.value), 1);
                }
            } else {
                this.item = selected ? null : option.value;
            }
        }
    },
    data: function data() {
        return {
            item: this.value,
            showPass: false
        };
    },

    watch: {
        value: {
            immediate: true,
            handler: function handler(v) {
                this.$set(this, 'item', this.type === 'checkbox' && this.options.length > 1 && !(v instanceof Array) ? [] : v);
            }
        },
        item: function item(v) {
            this.$emit('input', v);
        }
    },
    computed: {
        id: function id() {
            return this.fieldName ? this.slugify(this.fieldName) : this.password();
        },
        fieldName: function fieldName() {
            return String(this.name || this.label || '').replace(/[^A-Za-z0-9 ]/g, '').replace(/^your\s*/i, '').toLowerCase() || 'field-' + this.password(4);
        },
        opts: function opts() {
            var results = [];

            if (this.yesNo !== null) {
                return [{ label: this.yesNo[0] || 'Yes', value: true }, { label: this.yesNo[1] || 'No', value: false }];
            } else if (this.noYes !== null) {
                return [{ label: this.noYes[0] || 'No', value: false }, { label: this.noYes[1] || 'Yes', value: true }];
            }

            var _iteratorNormalCompletion = true;
            var _didIteratorError = false;
            var _iteratorError = undefined;

            try {
                for (var _iterator = this.options[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                    var o = _step.value;

                    if ((typeof o === 'undefined' ? 'undefined' : _typeof(o)) === 'object') {
                        results.push(Object.assign({ label: this.ucfirst(o.value) }, o));
                    } else {
                        results.push({ label: this.ucfirst(o), value: o });
                    }
                }
            } catch (err) {
                _didIteratorError = true;
                _iteratorError = err;
            } finally {
                try {
                    if (!_iteratorNormalCompletion && _iterator.return) {
                        _iterator.return();
                    }
                } finally {
                    if (_didIteratorError) {
                        throw _iteratorError;
                    }
                }
            }

            return results;
        },
        itemValue: function itemValue() {
            return this.item instanceof Array ? this.item.join(', ') : String(this.item);
        },
        validator: function validator() {
            var v = (this.rules instanceof Array ? this.rules : typeof this.rules === 'string' ? this.rules.split('|') : []) || [];
            if (this.required) v.push('required');
            if (this.type === 'url') v.push('url');
            if (this.type === 'email') v.push('email');
            if (this.type === 'number') v.push('numeric');
            if (this.type === 'password') v.push('min:6' + (this.strictPassword ? '|strong' : ''));

            if (this.type === 'number') {
                if (this.min > 0 || this.max > 0) v.push('between:' + (this.min || '0') + ',' + (this.max || '99'));
            } else {
                if (this.min > 0) v.push('min:' + this.min.toString());
                if (this.max > 0) v.push('max:' + this.max.toString());
            }

            return v.filter(function (el, index, arr) {
                return el && index === arr.indexOf(el);
            }).join('|');
        },
        listeners: function listeners() {
            var l = Object.assign({}, this.$listeners);
            delete l.input;
            return l;
        }
    }
};

/***/ }),
/* 3 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (immutable) */ __webpack_exports__["a"] = normalizeComponent;
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  scriptExports = scriptExports || {}

  // ES6 modules interop
  var type = typeof scriptExports.default
  if (type === 'object' || type === 'function') {
    scriptExports = scriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () { injectStyles.call(this, this.$root.$options.shadowRoot) }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//

exports.default = {
    props: {
        disabled: { type: Boolean, default: false, required: false }
    },
    methods: {
        getAllChildren: function getAllChildren(parent) {
            var children = [];

            if (parent && parent.$children) {
                var _iteratorNormalCompletion = true;
                var _didIteratorError = false;
                var _iteratorError = undefined;

                try {
                    for (var _iterator = parent.$children[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                        var child = _step.value;

                        if (child.$children) {
                            children = children.concat(this.getAllChildren(child));
                        }

                        if (child.validate instanceof Function) {
                            children.push(child);
                        }
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally {
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return) {
                            _iterator.return();
                        }
                    } finally {
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }
            }

            return children;
        },
        validate: function validate() {
            var promises = this.getAllChildren(this).map(function (c) {
                return c.validate();
            });

            return new Promise(function (resolve) {
                Promise.all(promises).then(function (obj) {
                    resolve(obj instanceof Array ? obj.reduce(function (a, b) {
                        return a && b;
                    }) : true);
                });
            });
        }
    }
};

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Vue2InputPlugin = exports.Vue2InputGroup = exports.Vue2Input = undefined;

var _Vue2Input = __webpack_require__(6);

var _Vue2Input2 = _interopRequireDefault(_Vue2Input);

var _Vue2InputGroup = __webpack_require__(10);

var _Vue2InputGroup2 = _interopRequireDefault(_Vue2InputGroup);

var _vue = __webpack_require__(14);

var _vue2 = _interopRequireDefault(_vue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_vue2.default.config.productionTip = _vue2.default.config.devtools = false;

var Vue2InputPlugin = function Vue2InputPlugin(Vue) {
    Vue.component('vue2-input', _Vue2Input2.default);
    Vue.component('vue2-input-group', _Vue2InputGroup2.default);
};

_Vue2Input2.default.install = Vue2InputPlugin;

exports.default = _Vue2Input2.default;
exports.Vue2Input = _Vue2Input2.default;
exports.Vue2InputGroup = _Vue2InputGroup2.default;
exports.Vue2InputPlugin = Vue2InputPlugin;

/***/ }),
/* 6 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2Input_vue__ = __webpack_require__(2);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2Input_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2Input_vue__);
/* harmony namespace reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2Input_vue__) if(__WEBPACK_IMPORT_KEY__ !== 'default') (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2Input_vue__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_082acf9c_hasScoped_false_optionsId_0_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_Vue2Input_vue__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__node_modules_vue_loader_lib_runtime_component_normalizer__ = __webpack_require__(3);
function injectStyle (context) {
  __webpack_require__(7)
}
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null

var Component = Object(__WEBPACK_IMPORTED_MODULE_2__node_modules_vue_loader_lib_runtime_component_normalizer__["a" /* default */])(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2Input_vue___default.a,
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_082acf9c_hasScoped_false_optionsId_0_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_Vue2Input_vue__["a" /* render */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_082acf9c_hasScoped_false_optionsId_0_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_Vue2Input_vue__["b" /* staticRenderFns */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ __webpack_exports__["default"] = (Component.exports);


/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(8);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__(1).default
var update = add("1a059664", content, true, {});

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(0)(false);
// imports


// module
exports.push([module.i, ".show-password{position:absolute!important;right:0;top:10px;font-size:14px}.dropdown-text-overflow{max-width:100px;overflow:hidden;text-overflow:ellipsis;display:inline-block;line-height:14px}.dropdown-menu-scrollable{max-height:200px;overflow:auto}", ""]);

// exports


/***/ }),
/* 9 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return render; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return staticRenderFns; });
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"form-group"},[_c('div',{class:{row: _vm.horizontal},staticStyle:{"position":"relative"}},[_vm._t("before"),_vm._v(" "),(_vm.label)?_c('label',{class:[_vm.horizontal, ( _obj = {}, _obj['text-sm-right'] = _vm.horizontal, _obj ), _vm.labelClass],attrs:{"for":_vm.id},domProps:{"innerHTML":_vm._s(_vm.label)}}):_vm._e(),_vm._v(" "),_c('div',{class:[{col: _vm.horizontal}, _vm.inputClass]},[_vm._t("prepend"),_vm._v(" "),_c('div',{class:{'input-group': _vm.prepend || _vm.append}},[_vm._t("prepend-same-line",[(_vm.prepend)?_c('div',{staticClass:"input-group-prepend",on:{"click":function($event){_vm.$emit('prepend-click')}}},[_c('span',{staticClass:"input-group-text",domProps:{"innerHTML":_vm._s(_vm.prepend)}})]):_vm._e()]),_vm._v(" "),(_vm.type === 'select')?[_c('select',{directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id,ref:"field",staticClass:"form-control",class:[_vm.controlClass, ( _obj$1 = {}, _obj$1['form-control-'+_vm.size] = _vm.size, _obj$1 )],attrs:{"multiple":_vm.multiple,"disabled":_vm.disabled,"id":_vm.id,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false},on:{"change":function($event){var $$selectedVal = Array.prototype.filter.call($event.target.options,function(o){return o.selected}).map(function(o){var val = "_value" in o ? o._value : o.value;return val}); _vm.item=$event.target.multiple ? $$selectedVal : $$selectedVal[0]}}},_vm._l((_vm.opts),function(option){return _c('option',{key:_vm.fieldName + '-' + option.value,domProps:{"value":option.value}},[_vm._v(_vm._s(option.label))])}))]:(_vm.type === 'radio' || _vm.type === 'checkbox')?[_vm._l((_vm.fixed),function(f){return _c('div',{key:f,staticClass:"form-check",class:{'form-check-inline': _vm.inline}},[_c('label',{staticClass:"form-check-label"},[_c('i',{staticClass:"fa fa-check-square"}),_vm._v(" "+_vm._s(_vm.ucfirst(f)))])])}),_vm._v(" "),_vm._l((_vm.opts),function(option,i){return _c('div',{key:i,staticClass:"form-check",class:{'form-check-inline': _vm.inline}},[(_vm.fixed.indexOf(option.value) === -1)?[((_vm.type)==='checkbox')?_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id+i,ref:"field",refInFor:true,staticClass:"form-check-input",attrs:{"disabled":_vm.disabled,"id":_vm.id+i,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"type":"checkbox"},domProps:{"value":option.value,"checked":Array.isArray(_vm.item)?_vm._i(_vm.item,option.value)>-1:(_vm.item)},on:{"change":function($event){var $$a=_vm.item,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v=option.value,$$i=_vm._i($$a,$$v);if($$el.checked){$$i<0&&(_vm.item=$$a.concat([$$v]))}else{$$i>-1&&(_vm.item=$$a.slice(0,$$i).concat($$a.slice($$i+1)))}}else{_vm.item=$$c}}}}):((_vm.type)==='radio')?_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id+i,ref:"field",refInFor:true,staticClass:"form-check-input",attrs:{"disabled":_vm.disabled,"id":_vm.id+i,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"type":"radio"},domProps:{"value":option.value,"checked":_vm._q(_vm.item,option.value)},on:{"change":function($event){_vm.item=option.value}}}):_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id+i,ref:"field",refInFor:true,staticClass:"form-check-input",attrs:{"disabled":_vm.disabled,"id":_vm.id+i,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"type":_vm.type},domProps:{"value":option.value,"value":(_vm.item)},on:{"input":function($event){if($event.target.composing){ return; }_vm.item=$event.target.value}}}),_vm._v(" "),_c('label',{staticClass:"form-check-label",attrs:{"for":_vm.id + i}},[_vm._v(_vm._s(option.label))])]:_vm._e()],2)})]:(_vm.type === 'textarea')?[_c('textarea',{directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id,ref:"field",staticClass:"form-control",class:[_vm.controlClass, ( _obj$2 = {}, _obj$2['form-control-'+_vm.size] = _vm.size, _obj$2 )],attrs:{"disabled":_vm.disabled,"id":_vm.id,"placeholder":_vm.placeholder,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"rows":_vm.rows,"readonly":_vm.readonly},domProps:{"value":(_vm.item)},on:{"input":function($event){if($event.target.composing){ return; }_vm.item=$event.target.value}}})]:(_vm.type === 'dropdown')?[_c('div',{staticClass:"dropdown open"},[_c('button',{staticClass:"dropdown-toggle",class:( _obj$3 = {}, _obj$3[_vm.btnClass] = _vm.btnClass, _obj$3 ),attrs:{"type":"button","data-toggle":"dropdown"}},[(_vm.icon)?_c('i',{staticClass:"fa",class:_vm.icon}):_vm._e(),_vm._v(" "),_c('span',{staticClass:"dropdown-text-overflow"},[_vm._v(_vm._s(_vm.itemValue || _vm.placeholder || 'Select'))])]),_vm._v(" "),_c('div',{staticClass:"dropdown-menu dropdown-menu-scrollable"},_vm._l((_vm.opts),function(option){return _c('a',{key:_vm.fieldName + '-' + option.value,staticClass:"dropdown-item",attrs:{"href":"#","value":option.value},on:{"click":function($event){$event.preventDefault();_vm.toggle(option)}}},[_c('i',{staticClass:"fa fa-fw",class:_vm.selected(option) ? 'fa-check-circle' : 'fa-circle-o'}),_vm._v(" "+_vm._s(option.label)+"\n                            ")])}))])]:(_vm.type === 'button')?[_c('button',{staticClass:"btn btn-primary btn-sm",class:( _obj$4 = {}, _obj$4[_vm.btnClass] = _vm.btnClass, _obj$4 ),attrs:{"type":"button"},on:{"click":function($event){_vm.$emit('click')}}},[(_vm.icon)?_c('i',{staticClass:"fa",class:_vm.icon}):_vm._e(),_vm._v(" "+_vm._s(_vm.placeholder)+"\n                    ")])]:(_vm.type === 'custom')?[_c(_vm.customType,_vm._b({key:'custom' + _vm.id,ref:"field",tag:"div",attrs:{"disabled":_vm.disabled,"placeholder":_vm.placeholder,"required":_vm.required},model:{value:(_vm.item),callback:function ($$v) {_vm.item=$$v},expression:"item"}},'div',_vm.customProps,false))]:[(_vm.showPassword && (_vm.type === 'password'))?_c('div',{staticStyle:{"position":"relative"}},[_c('div',{staticClass:"form-check  form-check-inline text-small show-password"},[_c('input',{directives:[{name:"model",rawName:"v-model",value:(_vm.showPass),expression:"showPass"}],staticClass:"form-check-input",attrs:{"type":"checkbox","value":""},domProps:{"checked":Array.isArray(_vm.showPass)?_vm._i(_vm.showPass,"")>-1:(_vm.showPass)},on:{"change":function($event){var $$a=_vm.showPass,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v="",$$i=_vm._i($$a,$$v);if($$el.checked){$$i<0&&(_vm.showPass=$$a.concat([$$v]))}else{$$i>-1&&(_vm.showPass=$$a.slice(0,$$i).concat($$a.slice($$i+1)))}}else{_vm.showPass=$$c}}}}),_vm._v(" "),_c('label',{staticClass:"form-check-label text-normal"},[_vm._v(" Show")])])]):_vm._e(),_vm._v(" "),((_vm.showPass ? 'text' : _vm.type)==='checkbox')?_c('input',_vm._g({directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id,ref:"field",staticClass:"form-control",class:[_vm.controlClass, ( _obj$5 = {}, _obj$5['form-control-'+_vm.size] = _vm.size, _obj$5 )],attrs:{"disabled":_vm.disabled,"id":_vm.id,"placeholder":_vm.placeholder,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"readonly":_vm.readonly,"type":"checkbox"},domProps:{"checked":Array.isArray(_vm.item)?_vm._i(_vm.item,null)>-1:(_vm.item)},on:{"change":function($event){var $$a=_vm.item,$$el=$event.target,$$c=$$el.checked?(true):(false);if(Array.isArray($$a)){var $$v=null,$$i=_vm._i($$a,$$v);if($$el.checked){$$i<0&&(_vm.item=$$a.concat([$$v]))}else{$$i>-1&&(_vm.item=$$a.slice(0,$$i).concat($$a.slice($$i+1)))}}else{_vm.item=$$c}}}},_vm.listeners)):((_vm.showPass ? 'text' : _vm.type)==='radio')?_c('input',_vm._g({directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id,ref:"field",staticClass:"form-control",class:[_vm.controlClass, ( _obj$6 = {}, _obj$6['form-control-'+_vm.size] = _vm.size, _obj$6 )],attrs:{"disabled":_vm.disabled,"id":_vm.id,"placeholder":_vm.placeholder,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"readonly":_vm.readonly,"type":"radio"},domProps:{"checked":_vm._q(_vm.item,null)},on:{"change":function($event){_vm.item=null}}},_vm.listeners)):_c('input',_vm._g({directives:[{name:"model",rawName:"v-model",value:(_vm.item),expression:"item"},{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id,ref:"field",staticClass:"form-control",class:[_vm.controlClass, ( _obj$7 = {}, _obj$7['form-control-'+_vm.size] = _vm.size, _obj$7 )],attrs:{"disabled":_vm.disabled,"id":_vm.id,"placeholder":_vm.placeholder,"required":_vm.required,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"readonly":_vm.readonly,"type":_vm.showPass ? 'text' : _vm.type},domProps:{"value":(_vm.item)},on:{"input":function($event){if($event.target.composing){ return; }_vm.item=$event.target.value}}},_vm.listeners))],_vm._v(" "),(_vm.type === 'custom' || _vm.type === 'dropdown' || _vm.type === 'button')?[_c('input',{directives:[{name:"validate",rawName:"v-validate",value:(_vm.validator),expression:"validator"}],key:_vm.id,staticClass:"hidden-field",staticStyle:{"position":"absolute","padding":"0","margin":"0","opacity":"0","border":"0","height":"1px","width":"1px"},attrs:{"type":"text","id":_vm.id,"name":_vm.fieldName,"data-vv-scope":_vm.scope ? _vm.scope : false,"required":_vm.required,"tabindex":"-1"},domProps:{"value":_vm.itemValue}})]:_vm._e(),_vm._v(" "),_vm._t("append-same-line",[(_vm.append)?_c('div',{staticClass:"input-group-append",on:{"click":function($event){_vm.$emit('append-click')}}},[_c('span',{staticClass:"input-group-text",domProps:{"innerHTML":_vm._s(_vm.append)}})]):_vm._e()])],2),_vm._v(" "),_vm._t("append"),_vm._v(" "),_c('small',{staticClass:"form-text text-danger"},[_vm._v(_vm._s(String(_vm.errors.first((_vm.scope ? _vm.scope + '.' : '') + _vm.fieldName) || '').replace(/field-\w+/, 'above')))]),_vm._v(" "),_vm._t("help",[(_vm.help)?_c('small',{staticClass:"form-text text-muted",domProps:{"innerHTML":_vm._s(_vm.help)}}):_vm._e()])],2),_vm._v(" "),_vm._t("after")],2)])
var _obj;
var _obj$1;
var _obj$2;
var _obj$3;
var _obj$4;
var _obj$5;
var _obj$6;
var _obj$7;}
var staticRenderFns = []


/***/ }),
/* 10 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2InputGroup_vue__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2InputGroup_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2InputGroup_vue__);
/* harmony namespace reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2InputGroup_vue__) if(__WEBPACK_IMPORT_KEY__ !== 'default') (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2InputGroup_vue__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d8b27550_hasScoped_true_optionsId_0_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_Vue2InputGroup_vue__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__node_modules_vue_loader_lib_runtime_component_normalizer__ = __webpack_require__(3);
function injectStyle (context) {
  __webpack_require__(11)
}
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-d8b27550"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null

var Component = Object(__WEBPACK_IMPORTED_MODULE_2__node_modules_vue_loader_lib_runtime_component_normalizer__["a" /* default */])(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_Vue2InputGroup_vue___default.a,
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d8b27550_hasScoped_true_optionsId_0_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_Vue2InputGroup_vue__["a" /* render */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d8b27550_hasScoped_true_optionsId_0_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_Vue2InputGroup_vue__["b" /* staticRenderFns */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ __webpack_exports__["default"] = (Component.exports);


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(12);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var add = __webpack_require__(1).default
var update = add("d9ad1ed2", content, true, {});

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(0)(false);
// imports


// module
exports.push([module.i, "div.disabled[data-v-d8b27550]{position:absolute;top:0;width:100%;height:100%;background:hsla(0,0%,100%,.75);display:flex;justify-content:center;align-items:center}", ""]);

// exports


/***/ }),
/* 13 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return render; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return staticRenderFns; });
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticStyle:{"position":"relative"}},[_vm._t("default"),_vm._v(" "),(_vm.disabled)?_c('div',{staticClass:"disabled"},[_c('i',{staticClass:"fa fa-spinner fa-spin"})]):_vm._e()],2)}
var staticRenderFns = []


/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_14__;

/***/ })
/******/ ]);
});