import Vue2Input from './components/Vue2Input';
import Vue2InputGroup from './components/Vue2InputGroup';
import Vue from 'vue';

Vue.config.productionTip = Vue.config.devtools = false;

const Vue2InputPlugin = (Vue) => {
    Vue.component('vue2-input', Vue2Input);
    Vue.component('vue2-input-group', Vue2InputGroup);
};

Vue2Input.install = Vue2InputPlugin;

export default Vue2Input;
export {Vue2Input, Vue2InputGroup, Vue2InputPlugin};
